<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AtualizaContaBancaria StructType
 * @subpackage Structs
 */
class AtualizaContaBancaria extends AbstractStructBase
{
    /**
     * The entidade
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\ContasBancariasERP
     */
    public $entidade;
    /**
     * The forceUpdate
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var bool
     */
    public $forceUpdate;
    /**
     * Constructor method for AtualizaContaBancaria
     * @uses AtualizaContaBancaria::setEntidade()
     * @uses AtualizaContaBancaria::setForceUpdate()
     * @param \StructType\ContasBancariasERP $entidade
     * @param bool $forceUpdate
     */
    public function __construct(\StructType\ContasBancariasERP $entidade = null, $forceUpdate = null)
    {
        $this
            ->setEntidade($entidade)
            ->setForceUpdate($forceUpdate);
    }
    /**
     * Get entidade value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\ContasBancariasERP|null
     */
    public function getEntidade()
    {
        return isset($this->entidade) ? $this->entidade : null;
    }
    /**
     * Set entidade value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \StructType\ContasBancariasERP $entidade
     * @return \StructType\AtualizaContaBancaria
     */
    public function setEntidade(\StructType\ContasBancariasERP $entidade = null)
    {
        if (is_null($entidade) || (is_array($entidade) && empty($entidade))) {
            unset($this->entidade);
        } else {
            $this->entidade = $entidade;
        }
        return $this;
    }
    /**
     * Get forceUpdate value
     * @return bool|null
     */
    public function getForceUpdate()
    {
        return $this->forceUpdate;
    }
    /**
     * Set forceUpdate value
     * @param bool $forceUpdate
     * @return \StructType\AtualizaContaBancaria
     */
    public function setForceUpdate($forceUpdate = null)
    {
        // validation for constraint: boolean
        if (!is_null($forceUpdate) && !is_bool($forceUpdate)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a bool, "%s" given', gettype($forceUpdate)), __LINE__);
        }
        $this->forceUpdate = $forceUpdate;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\AtualizaContaBancaria
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
